/***********************************************************
  文件名：22_DHT11-Sensor.ino
  描述：读取DHT11温湿度采集的温度和湿度数据，并通过串口显示在串行监视器上。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
//DHT11传感器接引脚D6
#include <DHT.h>//调用温dht湿度库

volatile float wendu = 0;//设置温度变量
volatile float shidu = 0;//设置湿度变量
DHT dht6(6, 11);//定义温湿度传感器引脚

void setup() {
  Serial.begin(9600);//设置波特率

  dht6.begin();//启动
}

void loop() {


  delay(2000);//延时2秒
  shidu = dht6.readHumidity();//将湿度读取为摄氏度(默认值)赋给变量
  wendu = dht6.readTemperature();//将温度读取为摄氏度(默认值)赋给变量
  Serial.print(wendu);//串口打印温度
  Serial.print("℃");
  Serial.print("                         ");
  Serial.print(shidu);//串口打印湿度
  Serial.println("%");

}
